Subject: disabling ipv6 (when ipv6 module is already loaded or built in)

From: Arkadiusz Miskiewicz <[email-masked]>
Date: Fri, 25 Mar 2011 18:17:04 +0100

Hi,

There are two options for disabling some ipv6 functionality in ipv6 module - 
disable and disable_ipv6. The second option is also available as sysctl and 
can be switched runtime.

First is nicer because it also prevents apps from creating sockets by using 
socket(AF_INET6, ...). Various apps use AF_INET6 socket creation to deterine 
if ipv6 is supported on the system. Unfortunately "disable" one doesn't exist 
as sysctl and this is a problem.

Is it possible to make "disable" sysctl option, too? Currently there is no 
runtime way to disable ipv6 (or I'm unaware of such way).

Thanks,
-- 
Arkadiusz Miśkiewicz        PLD/Linux Team
arekm / maven.pl            http://ftp.pld-linux.org/